Index: contrib/crossrpms/rtems4.11/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
Index: contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision 25eab8f69dfa506105ed1dcdf510320dff0d9ce1)
+++ contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision f95073abd4ed04524949843b9bf4db8b3284105e)
@@ -8,4 +8,5 @@
 %if "%{gcc_version}" == "4.5.2" 
 Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
 %endif
 %{?_without_sources:NoSource:	1}
